Bug 848438 - Content search auto-complete should enable the 'Add' button after typing full content name.
Content search auto-complete should enable the 'Add' button after typing full...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
All All
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Martin Bacovsky
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 11:21 EDT by Gerhard Stoeckel
Modified: 2013-09-19 14:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerhard Stoeckel 2012-08-15 11:21:07 EDT
Description of problem:
Typing the full content name (i.e. product, repo or package) should enable the "Add" button.  Typing a portion of the name and clicking the desired content item in the resulting drop-down should not be *required* to enable the "Add" button.  

This requirement is not intuitive, inconsistent with similar interfaces in other products (e.g. Google search), and makes testing significantly more complex.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Type the full content name into one of the auto-complete inputs.
2. Notice the corresponding "Add" button is still disabled.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Pavel Pokorny 2012-09-07 10:30:48 EDT
We need newer version of jQuery UI autocomplete (included in converge UI). The response callback which we can use for this was introduced in [1]. With this we would be able to check if returned data contain string which is written in search input and eventually enable the add button.

It can be done also with little monkeypatching but I vote for the update.

[1] https://github.com/jquery/jquery-ui/commit/e7991e33f3c5d20d6efdb18654859175ef5cac68
Comment 3 Pavel Pokorny 2012-09-07 10:40:02 EDT
* response callback will be in jQuery 1.9 which is not stable yet
Comment 4 Martin Bacovsky 2012-10-02 08:09:10 EDT
Merged in PR #622 commit #febb27af8
Comment 6 Mike McCune 2013-09-19 14:14:43 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.